const var laf = Engine.createGlobalScriptLookAndFeel();



laf.registerFunction("drawToggleButton", function(m, obj)
{
   
     
    m.setColour(obj.itemColour2);   
    m.fillRoundedRectangle(obj.area, 2);
    
    m.setColour(Colours.withAlpha(0xFFFFFFFF, obj.value ? 0.11 : 0.0));  //? 0.11 : 0.11));
    m.drawRect([0, 0, obj.width, obj.height], 2);


    

    
    if(obj.down)
        m.setColour(0x26000000); 
        m.fillRoundedRectangle(obj.area, 2);
        
    if(obj.value)
        m.setColour(obj.bgColour);
        m.fillRoundedRectangle(obj.area, 2);  
        
        
    if(obj.over)
        m.setColour(0x26000000);
        m.fillRoundedRectangle(obj.area, 2);
        
    m.setColour(Colours.withAlpha(0xFFFFFFFF, obj.value ? 1.0 : 0.5));
    m.setFont("Averta-Medium", 16);

    m.drawAlignedText(obj.text, obj.area, "centred");
    
    
    
});



laf.registerFunction("drawPresetBrowserListItem", function(g, obj)
{
    if(obj.selected)
    {
        g.setColour(0x22FFFFFF);
        g.fillRoundedRectangle(obj.area, 2.0);
    }
    
    g.setFont("Averta-Medium", 16);
    g.setColour(0xFFbababa);
    g.drawAlignedText(obj.text, obj.area, "centred");
});





laf.registerFunction("drawPresetBrowserSearchBar", function(g, obj)
{
    g.setColour(0x22FFFFFF); 
    g.fillRoundedRectangle(obj.area, 2.0);
    g.setColour(Colours.white);
    g.fillPath(obj.icon, [8, 6, 18, 18]);
});





laf.registerFunction("drawComboBox", function(g, obj)
{
    g.setColour(0x00000000);
    g.fillRoundedRectangle(obj.area, 5.0);
    g.setColour(Colours.withAlpha(0XFF727272, (obj.enabled && obj.active) ? 1.0 : 0.2));
    g.setFont("Averta-Medium", 16);
   
    
    var a = obj.area;
    g.drawAlignedText(obj.text, [a[0] + 10, a[1], a[2]-10, a[3]], "left");
    var h = a[3];
    g.fillTriangle([a[0] + a[2] - h/3 - 10, a[1] + h/3, h/3, h/3], Math.PI);
});





laf.registerFunction("drawPopupMenuBackground", function(d, obj)
{
    d.fillAll(0XFF171717);
    d.setColour(Colours.red);
    
    d.drawRect([0, 0, obj.width, obj.height], 0);
});


laf.registerFunction("drawPopupMenuItem", function(g, obj)
{
    var a = obj.area;
    var h = a[3];
    
    if(obj.isSeparator)
    {
        g.setColour(0XFF171717);
        g.drawLine(a[0]+10, a[0] + a[2]-10, a[1] + a[3]/2, a[1] + a[3]/2, 1.0);
        return;
    }
    
    if(obj.isTicked)
    {
        g.setColour(0xFF727272);
        g.fillEllipse([a[0] + h/3, a[1] + h/3, h/3, h/3]);
    }
    
    g.setFont("Averta-Medium", 16);
    
    if(obj.isHighlighted)
    {
        g.setColour(0x26bababa);
        g.fillRect(obj.area);
        g.setColour(Colours.white);
        g.drawAlignedText(obj.text, [a[0] + h, a[1], a[2] - h, a[3]], "left");
    }else{
        g.setColour(0xFF727272);
        g.drawAlignedText(obj.text, [a[0] + h, a[1], a[2] - h, a[3]], "left");
    }
    
});



laf.registerFunction("drawDialogButton", function(g, obj)
{
    g.fillAll(0x00000000);
    
    if(obj.over)
        g.fillAll(0x22000000);
        
    if(obj.down)
        g.fillAll(0x22000000);
       
    g.setFont("Averta-Medium", 16);
        
    g.setColour(Colours.white);
    g.drawAlignedText(obj.text, obj.area, "centred");
});





laf.registerFunction("drawTablePoint", function(g, obj)
{

    g.setColour(obj.itemColour2);
    g.drawEllipse(obj.tablePoint,1);
    
    
    if(obj.hover)
    {
        g.setColour(obj.itemColour);
        g.fillEllipse(obj.tablePoint);
    }
    
});






